#ifndef MEI_LINUX_MOD_DEVICETABLE_H
#define MEI_LINUX_MOD_DEVICETABLE_H

#ifdef __KERNEL__
#include <linux/types.h>
#include <linux/uuid.h>
#endif

#ifndef MEI_CL_MODULE_PREFIX
#define MEI_CL_MODULE_PREFIX "mei:"
#define MEI_CL_NAME_SIZE 32

struct mei_cl_device_id {
	char name[MEI_CL_NAME_SIZE];
	kernel_ulong_t driver_info;
};
#endif /* MEI_CL_MODULE_PREFIX */

#endif /* MEI_LINUX_MOD_DEVICETABLE_H */


