#!/bin/bash

#cpus=$(grep -c processor /proc/cpuinfo)
#runproc=$(expr $cpus \* 2)

make clean
make W=1 || exit 1
which sparse 2> /dev/null && do_sparse=yes
which smatch 2> /dev/null && do_smatch=yes
[ "$do_sparse" = "yes" ] && { make C=2 || exit 1; }
[ "$do_smatch" = "yes" ] && \
{ make CHECK="smatch --data=${HOME}/share/smatch/smatch_data -p=kernel" C=2 || exit 1; }
exit 0
