dir=upstream
num='-n'
params=
git format-patch  --subject-prefix=$L $num -o ../$dir/ -C -M $params $@ || { exit 1; }
for p in ../$dir/*.patch ; do
	[ "$(basename $p)" = "0000-cover-letter.patch" ] && continue
	sed -i 's;^+++ b/;+++ b/drivers/misc/mei/;' $p
	sed -i 's;^--- a/;--- a/drivers/misc/mei/;' $p
	grep Change-Id $p >> change-id-$rel.txt
	sed -i '/Change-Id:/d' $p
	sed -i '/HSD-\.*/d' $p
	./scripts/checkpatch.pl --no-tree $p > checpatch.log 2>&1 || cat  checpatch.log
done
