#!/bin/sh
list="COPYING CREDITS Kbuild MAINTAINERS Makefile
     README Documentation arch include drivers
     fs init ipc kernel lib scripts"

for file in $list; do
	[ -e ./$file ] || { arg="--no-tree"; break; }
done

if [ -e "$1"  ]; then
	patch_file=$1
else
	git diff > a.patch
	if ! test -s a.patch ; then
		git diff --cached > a.patch
	fi
	if ! test -s a.patch ; then
		git format-patch -1 --stdout > a.patch
	fi
	patch_file=a.patch
fi
./scripts/checkpatch.pl --emacs --no-signoff ${arg} $patch_file
